Index: TiledGroup.cxx
===================================================================
--- TiledGroup.cxx	(revision 9128)
+++ TiledGroup.cxx	(working copy)
@@ -82,13 +82,14 @@
   Group::layout();
 }
 
-static Cursor* cursors[4] = {
+static Cursor * cursors[4] = {
   0,
   CURSOR_WE,
   CURSOR_NS,
   CURSOR_MOVE};
 
 int TiledGroup::handle(int event) {
+  static int psdrag(0);
   static int sdrag;
   static int sdx, sdy;
   static int sx, sy;
@@ -135,7 +136,11 @@
       sdrag = 0; sx = sy = 0;
       if (mindx <= GRABAREA) {sdrag = DRAGH; sx = oldx;}
       if (mindy <= GRABAREA) {sdrag |= DRAGV; sy = oldy;}
-      cursor(cursors[sdrag]);
+      if (sdrag != psdrag)
+      {
+      	psdrag = sdrag;
+      	cursor(cursors[sdrag]);
+      }
       if (sdrag) return 1;
     }
     return Group::handle(event);
